Skip to main content
GET
/
authorization
/
count
Get Authorization Count
curl --request GET \
  --url http://{host}:{port}/{contextPath}/authorization/count \
  --header 'Authorization: Basic <encoded-value>'
import requests

url = "http://{host}:{port}/{contextPath}/authorization/count"

headers = {"Authorization": "Basic <encoded-value>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};

fetch('http://{host}:{port}/{contextPath}/authorization/count', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "count": 2
}
{
"type": "<string>",
"message": "<string>",
"code": 123
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Query Parameters

id
string

Filter by the id of the authorization.

type
integer<int32>

Filter by authorization type. (0=global, 1=grant, 2=revoke). See the User Guide for more information about authorization types.

userIdIn
string

Filter by a comma-separated list of userIds.

groupIdIn
string

Filter by a comma-separated list of groupIds.

resourceType
integer<int32>

Filter by an integer representation of the resource type. See the User Guide for a list of integer representations of resource types.

resourceId
string

Filter by resource id.

Response

Request successful.

count
integer<int64>

The number of matching instances.